
*---------------------------------------------
* Program    : 0 wsp-tolower.do
* Programmer : Ben Arnold (benarnold@berkeley.edu)
/*

Version Number 1.0 (2011-07-11)

rename variable names to lower case

The common derived variables programs run on
datasets with lower case letters. 

If the operating system used to run the programs
is case sensitive (e.g., Mac OS X), then this
program can be used to rename all of the
variables to lower case.

*/
*---------------------------------------------

* Nick Cox Statalist Digest 895
capture program drop tolower
program def tolower 
	version 5.0 
	local varlist "opt ex" 
	parse "`*'" 
	parse "`varlist'", parse(" ") 
	while "`1'" != "" {
		local newname = lower("`1'")
		rename `1' x
		rename x `newname' 
		mac shift 
	}
end 


* example call:
* convert all variable names to lower case:
* tolower *

